# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/02_util.ipynb.

# %% auto 0
__all__ = ['skipq', 'SkipKind']

# %% ../nbs/02_util.ipynb 6
import warnings

from pathlib import Path
from enum import StrEnum

try:
    import pandas as pd, numpy as np, scipy
    import anndata as ad, scanpy as sc, scrublet as scr, scprep
    import phate, magic, graphtools as gt

    import matplotlib as mpl, matplotlib.pyplot as plt, seaborn as sns

except ImportError:
    warnings.warn("Some packages are not installed")

# %% ../nbs/02_util.ipynb 8
from typing import Any, NamedTuple, Optional

# %% ../nbs/02_util.ipynb 10
#| export


# %% ../nbs/02_util.ipynb 12
#| export

# %% ../nbs/02_util.ipynb 14
from atyp import AnnData, Series, StrQ, CallQ, IterStr, IndexQ, Strs, NPArray, DataFrame

from psrc import dirdirs
from nchr import U1
from nlit import (GENE_SYMBOL, ENSEMBL_ID, CATEGORY, CLUSTER, CON)
from chck import isad, isarr, isstr, iscall, islist, isany, isnone, notnone
from xst.arr import asarr

# %% ../nbs/02_util.ipynb 16
def skipq(kind, sdict): return sdict.get(kind, False)

class SkipKind(StrEnum):
    PREP = 'adata'; QLTY = 'qdata'; NORM = 'ndata'; BTCH = 'bdata'; 
    EMBD = 'edata'; CLST = 'cdata'; SSET = 'sdata'
    def skipq(self, sdict: dict): return skipq(self, sdict)
